Subject: Re: [PATCH iproute2 v4] ip: Simplify executing ip cmd within network ns

From: Nicolas Dichtel <[email-masked]>
Date: Mon, 15 Dec 2014 18:30:25 +0100

Le 13/12/2014 16:20, Jiri Pirko a écrit :
> Sat, Dec 13, 2014 at 02:32:10PM CET, [email-masked] wrote:
>> On Sat, Dec 13, 2014 at 10:58:03AM +0200, [email-masked] wrote:
>>> On Sat, Dec 13, 2014 at 10:42:43AM +0200, [email-masked] wrote:
>>>> On Sat, Dec 13, 2014 at 09:29:36AM +0100, Jiri Pirko wrote:
>>>>> Fri, Dec 12, 2014 at 11:15:07PM CET, [email-masked] wrote:
>>>>>> From: Vadim Kochan <[email-masked]>
>>>>>>
>>>>>> Added new '-netns' option to simplify executing following cmd:
>>>>>>
>>>>>>     ip netns exec NETNS ip OPTIONS COMMAND OBJECT
>>>>>>
>>>>>>     to
>>>>>>
>>>>>>     ip -n[etns] NETNS OPTIONS COMMAND OBJECT
>>>>>>
>>>>>> e.g.:
>>>>>>
>>>>>>     ip -net vnet0 link add br0 type bridge
>>>>>>     ip -n vnet0 link
>>>>>>
>>>>>> Signed-off-by: Vadim Kochan <[email-masked]>
>>>>>
>>>>>
>>>>> This looks good. I'm still missing support in tc, bridge, etc. I think
>>>>> it would be great to do this in the same patch/patchset.
>>>>>
>>>>   I planned to do this in the future patches after this main
>>>>   changes will be accepted. Actually adding this option to other
>>>>   tools is trivial.
>>>>
>>>>   Anyway may be I will re-send v5 with supporting of these tools if I will have time.
>>>>
>>>>   Regards,
>>>
>>> BTW, some tools already have '-n' option, so I think only '-net' can be
>>> used in such cases.
>
>
> Yep, that is my point. I would like to have the same option for all.
Agreed. The real option name is '-netns'. The fact that '-n' will work comes
from how 'ip' is implemented. This kind of shortcut will depend on each tool
implementation. But again, the *real* option name is '-netns' ;-)

Regards,
Nicolas